File
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
POST | |
POST | |
POST | |
POST | |
GET | |
POST | |
POST | |
GET | |
GET | |
POST | |
GET | |
PATCH | |
DELETE |
List all environments file system
Required API key scopes
file_system:readQuery parameters
- limitinteger
- offsetinteger
- searchstring
Response
Example request
GET /api /environments /:environment_id /file_systemExample response
Status 200
RESPONSE
Create environments file system
Required API key scopes
file_system:writeRequest parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Response
Example request
POST /api /environments /:environment_id /file_systemExample response
Status 201
RESPONSE
Retrieve environments file system
Required API key scopes
file_system:readPath parameters
- idstring
Response
Example request
GET /api /environments /:environment_id /file_system /:idExample response
Status 200
RESPONSE
Update environments file system
Required API key scopes
file_system:writePath parameters
- idstring
Request parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Response
Example request
PATCH /api /environments /:environment_id /file_system /:idExample response
Status 200
RESPONSE
Delete environments file system
Required API key scopes
file_system:writePath parameters
- idstring
Example request
DELETE /api /environments /:environment_id /file_system /:idExample response
Status 204 No response body
Create environments file system count
Get count of all files in a folder.
Required API key scopes
file_system:readPath parameters
- idstring
Request parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Example request
POST /api /environments /:environment_id /file_system /:id /countExample response
Status 200 No response body
Create environments file system link
Required API key scopes
file_system:writePath parameters
- idstring
Request parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Example request
POST /api /environments /:environment_id /file_system /:id /linkExample response
Status 200 No response body
Create environments file system move
Required API key scopes
file_system:writePath parameters
- idstring
Request parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Example request
POST /api /environments /:environment_id /file_system /:id /moveExample response
Status 200 No response body
Create environments file system count by path
Get count of all files in a folder.
Required API key scopes
file_system:readRequest parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Example request
POST /api /environments /:environment_id /file_system /count_by_pathExample response
Status 200 No response body
Retrieve environments file system log view
Required API key scopes
file_system:writeExample request
GET /api /environments /:environment_id /file_system /log_viewExample response
Status 200 No response body
Create environments file system log view
Required API key scopes
file_system:writeRequest parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Example request
POST /api /environments /:environment_id /file_system /log_viewExample response
Status 200 No response body
Create environments file system undo delete
Required API key scopes
file_system:writeRequest parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Example request
POST /api /environments /:environment_id /file_system /undo_deleteExample response
Status 200 No response body
Retrieve environments file system unfiled
Required API key scopes
file_system:readExample request
GET /api /environments /:environment_id /file_system /unfiledExample response
Status 200 No response body
List all file system
Required API key scopes
file_system:readQuery parameters
- limitinteger
- offsetinteger
- searchstring
Response
Example request
GET /api /projects /:project_id /file_systemExample response
Status 200
RESPONSE
Create file system
Required API key scopes
file_system:writeRequest parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Response
Example request
POST /api /projects /:project_id /file_systemExample response
Status 201
RESPONSE
Retrieve file system
Required API key scopes
file_system:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /file_system /:idExample response
Status 200
RESPONSE
Update file system
Required API key scopes
file_system:writePath parameters
- idstring
Request parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Response
Example request
PATCH /api /projects /:project_id /file_system /:idExample response
Status 200
RESPONSE
Delete file system
Required API key scopes
file_system:writePath parameters
- idstring
Example request
DELETE /api /projects /:project_id /file_system /:id